Subject: [secdir] Review of draft-arkko-arp-iana-rules-05

From: Larry Zhu <[email-masked]>
Date: Sun, 4 Jan 2009 21:42:53 -0800

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG. These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

Document: draft-arkko-arp-iana-rules-05
Title: IANA Allocation Guidelines for the Address Resolution Protocol (ARP)

Overall, the document is clear and easy to read. I have the following comments.

1)  The following text in the "acknowledgements" section fits better into the "introduction" section.

   The lack of any current rules has come up as new values were
   requested from IANA. <<<cut>>> When no rules exist, IANA
   consults the IESG for approval of the new values.  The purpose of
   this specification is to establish the rules and allow IANA to
   operate based on the rules, without requiring confirmation from the
   IESG.

   In addition, the above text somewhat contradicts to the fact that the assignment of ar$op values does require IESG approval. Hence I would recommend to replace OLD:

        The purpose of
   this specification is to establish the rules and allow IANA to
   operate based on the rules, without requiring confirmation from the
   IESG.

   With NEW:

   The purpose of
   this specification is to establish the rules and allow IANA to
   manage number assignments based on these rules, to ensure consistent
   interpretations in different implementations.

2) This document does not seem to fit exactly with RFC5226. Given there is an existing registry at http://www.iana.org/assignments/arp-parameters/arp-parameters.xhtml, I would recommend either spell exactly how to update it or how to create a new one to replace the existing one, and populate the new registry with the existing entries as "initial" assignments.

I find no specific security issues with this document.

--Larry Zhu

_______________________________________________
secdir mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/secdir